> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/api/api-introduction.md).

# API Introduction

Welcome to the section that deals with the [DecisionRules](https://decisionrules.io/) API. Here you can learn how to manage and use the API for the various functionalities we offer.

As far as rules are concerned, the solver API for rules and the Rule Flow and Management API are explained here. Furthermore, the data infrastructure is mentioned and described. Lastly, the solver API for Apache Kafka is described.

### How to setup an endpoint?

{% content-ref url="/pages/-MX\_hU6\_jnx5lznAByLk" %}
[Endpoint Settings](/doc/api/endpoints.md)
{% endcontent-ref %}

### What can you find in this space

{% content-ref url="/pages/-MQSqw9nnpqeCOmXYzmK" %}
[API Keys](/doc/api/api-keys.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MN5N6X1Z6NeH4Hht5ye" %}
[Rule Solver API](/doc/api/rule-solver-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/20voSVZXEFBa3K5HbcMe" %}
[Jobs API](/doc/api/jobs-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Mj3V7IpLHGSWF6ZQqXB" %}
[Rule Flow Solver API (DEPRECATED)](/doc/api/archive/rule-flow-solver-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Mhr2TXn2qhkf-92wVN9" %}
[Management API](/doc/api/management-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MZrQbNZZ3V\_bfSLRvUP" %}
[Datacenters & Locations](/doc/api/geo-location.md)
{% endcontent-ref %}

{% content-ref url="/pages/ZdqcCdMRkI8pzsWPZ9aU" %}
[Apache Kafka Solver API](/doc/api/apache-kafka-solver-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decisionrules.io/doc/api/api-introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
